## python-oslo.utils 0.1.1

=== debian/changelog ===
python-oslo.utils (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #757325)

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Aug 2014 15:40:04 +0800

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.utils.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.utils; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.utils; \
	done
	rm -f $(CURDIR)/debian/python*-oslo.utils/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
#	set -e && set -x && for i in 2.7 $(PYTHON3S) ; do \
	set -e && set -x && for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.utils-doc/usr/share/doc/python-oslo.utils-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.utils 0.2.0

=== requirements.txt ===
Babel>=0.9.6
six>=1.6.0
iso8601>=0.1.9
oslo.config>=1.2.0
oslo.i18n>=0.1.0

=== debian/changelog ===
python-oslo.utils (0.2.0-1) unstable; urgency=high

  * New upstream release fixing CVE-2014-7231.
  * Uploading to unstable after pre-approval by the release team.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Feb 2015 14:26:30 +0000

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-hacking,
                     python-iso8601 (>= 0.1.9),
                     python-mock (>= 1.0),
                     python-oslo.config (>= 1.2.0),
                     python-oslo.i18n (>= 0.1.0),
                     python-oslosphinx,
                     python-oslotest,
                     python-six (>= 1.6.0),
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     python3-babel (>= 1.3),
                     python3-coverage (>= 3.6),
                     python3-fixtures (>= 0.3.14),
                     python3-iso8601 (>= 0.1.9),
                     python3-mock (>= 1.0),
                     python3-oslo.config (>= 1.2.0),
                     python3-oslo.i18n (>= 0.1.0),
                     python3-oslotest,
                     python3-six (>= 1.6.0),
                     python3-subunit (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 0.9.34),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.utils.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.utils.git
Homepage: http://launchpad.net/oslo

Package: python-oslo.utils
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-iso8601 (>= 0.1.9),
         python-oslo.config (>= 1.2.0),
         python-oslo.i18n (>= 0.1.0),
         python-six (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Description: set of utility functions for OpenStack - Python 2.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.utils
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-babel (>= 1.3),
         python3-iso8601 (>= 0.1.9),
         python3-oslo.config (>= 1.2.0),
         python3-oslo.i18n (>= 0.1.0),
         python3-six (>= 1.6.0),
         ${misc:Depends},
         ${python3:Depends}
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -25,13 +25,12 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-#	set -e && set -x && for i in 2.7 $(PYTHON3S) ; do \
-	set -e && set -x && for i in 2.7 ; do \
+	set -e ; set -x ; for i in 2.7 ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` && \
+		TEMP_REZ=`mktemp -t` ; \
 		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.utils oslo.utils-(.*).tar.gz

## python-oslo.utils 1.0.0

=== requirements.txt ===
Babel>=1.3
six>=1.7.0
iso8601>=0.1.9
oslo.i18n>=0.2.0  # Apache-2.0

=== debian/changelog ===
python-oslo.utils (1.0.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 30 Sep 2014 03:02:40 -0400

python-oslo.utils (1.0.0-0ubuntu1) utopic; urgency=medium

  * New upstream final release for OpenStack Juno.
  * d/watch: Fixup watch file.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Sep 2014 20:01:42 +0100

python-oslo.utils (0.3.0-0ubuntu2) utopic; urgency=medium

  * d/control: Drop unused dependencies on python-oslo.config.
  * d/rules: Use detected python versions instead of hardcoding 2.7.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Sep 2014 11:07:33 +0100

python-oslo.utils (0.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream version.
  * debian /py3dist-overrides: Drop oslo.config

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Sep 2014 11:08:43 -0400

python-oslo.utils (0.1.1-1ubuntu1) utopic; urgency=medium

  * debian/py3dist-overrides: Dont instal python3-oslo.config. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 27 Aug 2014 08:07:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.utils
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
@@ -21,7 +22,6 @@
                      python-hacking,
                      python-iso8601 (>= 0.1.9),
                      python-mock (>= 1.0),
-                     python-oslo.config (>= 1.2.0),
                      python-oslo.i18n (>= 0.1.0),
                      python-oslosphinx,
                      python-oslotest,
@@ -34,7 +34,6 @@
                      python3-fixtures (>= 0.3.14),
                      python3-iso8601 (>= 0.1.9),
                      python3-mock (>= 1.0),
-                     python3-oslo.config (>= 1.2.0),
                      python3-oslo.i18n (>= 0.1.0),
                      python3-oslotest,
                      python3-six (>= 1.6.0),
@@ -53,7 +52,6 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-babel (>= 1.3),
          python-iso8601 (>= 0.1.9),
-         python-oslo.config (>= 1.2.0),
          python-oslo.i18n (>= 0.1.0),
          python-six (>= 1.6.0),
          ${misc:Depends},
@@ -71,7 +69,6 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python3-babel (>= 1.3),
          python3-iso8601 (>= 0.1.9),
-         python3-oslo.config (>= 1.2.0),
          python3-oslo.i18n (>= 0.1.0),
          python3-six (>= 1.6.0),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -25,13 +25,13 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 ; do \
+	set -e && set -x && for i in $(PYTHONS); do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		TEMP_REZ=`mktemp -t` && \
+		PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## python-oslo.utils 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
six>=1.9.0
iso8601>=0.1.9
oslo.i18n>=1.3.0  # Apache-2.0
netaddr>=0.7.12
netifaces>=0.10.4

=== debian/changelog ===
python-oslo.utils (1.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Mar 2015 09:44:10 -0400

python-oslo.utils (1.2.1-0ubuntu2) vivid; urgency=medium

  * debian/control: Fix broken Breaks/Replaces. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Feb 2015 08:53:37 -0500

python-oslo.utils (1.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Transition to new namespace.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Feb 2015 13:01:45 -0500

python-oslo.utils (1.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - d/control: Add new BD's on netifaces and netaddr.
    - d/control: Align version requirements to upstream.
  * d/control: Bumped Standards-Version 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Dec 2014 10:06:32 +0000

=== debian/control ===
--- 
+++ 
@@ -22,38 +22,46 @@
                      python-hacking,
                      python-iso8601 (>= 0.1.9),
                      python-mock (>= 1.0),
-                     python-oslo.i18n (>= 0.1.0),
+                     python-netaddr (>= 0.7.12),
+                     python-netifaces (>= 0.10.4),
+                     python-oslo.i18n (>= 1.0.0),
                      python-oslosphinx,
-                     python-oslotest,
+                     python-oslotest (>= 1.2.0),
                      python-six (>= 1.6.0),
                      python-subunit (>= 0.0.18),
                      python-testscenarios (>= 0.4),
-                     python-testtools (>= 0.9.34),
+                     python-testtools (>= 0.9.36),
                      python3-babel (>= 1.3),
                      python3-coverage (>= 3.6),
                      python3-fixtures (>= 0.3.14),
                      python3-iso8601 (>= 0.1.9),
                      python3-mock (>= 1.0),
-                     python3-oslo.i18n (>= 0.1.0),
-                     python3-oslotest,
+                     python3-netaddr (>= 0.7.12),
+                     python3-netifaces (>= 0.10.4),
+                     python3-oslo.i18n (>= 1.0.0),
+                     python3-oslotest (>= 1.2.0),
                      python3-six (>= 1.6.0),
                      python3-subunit (>= 0.0.18),
                      python3-testscenarios (>= 0.4),
-                     python3-testtools (>= 0.9.34),
+                     python3-testtools (>= 0.9.36),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.utils.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.utils.git
 Homepage: http://launchpad.net/oslo
 
-Package: python-oslo.utils
+Package: python-oslo-utils
+Breaks: python-oslo.utils (<< 1.2.1-0ubuntu1~)
+Replaces: python-oslo.utils (<< 1.2.1-0ubuntu1~)
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-babel (>= 1.3),
          python-iso8601 (>= 0.1.9),
-         python-oslo.i18n (>= 0.1.0),
-         python-six (>= 1.6.0),
+         python-netaddr (>= 0.7.12),
+         python-netifaces (>= 0.10.4),
+         python-oslo.i18n (>= 1.0.0),
+         python-six (>= 1.7.0),
          ${misc:Depends},
          ${python:Depends}
 Description: set of utility functions for OpenStack - Python 2.x
@@ -64,13 +72,17 @@
  .
  This package contains the Python 2.x module.
 
-Package: python3-oslo.utils
+Package: python3-oslo-utils
+Breaks: python3-oslo.utils (<< 1.2.1-0ubuntu1~)
+Replaces: python3-oslo.utils (<< 1.2.1-0ubuntu1~)
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python3-babel (>= 1.3),
          python3-iso8601 (>= 0.1.9),
-         python3-oslo.i18n (>= 0.1.0),
-         python3-six (>= 1.6.0),
+         python3-netaddr (>= 0.7.12),
+         python3-netifaces (>= 0.10.4),
+         python3-oslo.i18n (>= 1.0.0),
+         python3-six (>= 1.7.0),
          ${misc:Depends},
          ${python3:Depends}
 Description: set of utility functions for OpenStack - Python 3.x
@@ -81,7 +93,9 @@
  .
  This package contains the Python 3.x module.
 
-Package: python-oslo.utils-doc
+Package: python-oslo-utils-doc
+Breaks: python-oslo.utils-doc (<< 1.2.1-0ubuntu1~)
+Replaces: python-oslo.utils-doc (<< 1.2.1-0ubuntu1~)
 Section: doc
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
@@ -93,3 +107,24 @@
  system-level, and time utilities and helper functions.
  .
   This package contains the documentation.
+
+Package: python-oslo.utils
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends}, python-oslo-utils
+Description: transitional dummy package for python-oslo.utils
+ This transtional package is safe to remove.
+
+Package: python-oslo.utils-doc
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends}, python-oslo-utils-doc
+Description: transitional dummy package for python3-oslo.utils
+ This transtional package is safe to remove.
+
+Package: python3-oslo.utils
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends}, python3-oslo-utils
+Description: transitional dummy package for python3-oslo.utils
+ This transtional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 override_dh_install:
 	set -e && for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo.utils; \
+			--root $(CURDIR)/debian/python-oslo-utils; \
 	done
 	set -e && for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
@@ -43,7 +43,7 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.utils-doc/usr/share/doc/python-oslo.utils-doc/html
+	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo-utils-doc/usr/share/doc/python-oslo-utils-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.utils/ oslo.utils-(.*).tar.gz

## python-oslo.utils 2.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# NOTE(dhellmann): Because oslo.utils is used by the client libraries,
# we do not want to add a lot of dependencies to it. If you find that
# adding a new feature to oslo.utils means adding a new dependency,
# that is a likely indicator that the feature belongs somewhere else.

pbr<2.0,>=1.6
Babel>=1.3
six>=1.9.0
iso8601>=0.1.9
oslo.i18n>=1.5.0 # Apache-2.0
monotonic>=0.3 # Apache-2.0
pytz>=2013.6
netaddr!=0.7.16,>=0.7.12
netifaces>=0.10.4
debtcollector>=0.3.0 # Apache-2.0

=== debian/changelog ===
python-oslo.utils (2.5.0-1ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Sep 2015 14:21:00 +0000

python-oslo.utils (2.5.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Bump minimum version of netifaces to 0.10.4, ensuring
      upgrades for Ubuntu Cloud Archive deployments.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Sep 2015 14:08:48 +0100

python-oslo.utils (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 21:45:21 +0200

python-oslo.utils (2.4.0-1ubuntu1) wily; urgency=medium

  * d/control: Bump minimum version of netifaces to 0.10.4, ensuring
    upgrades for Ubuntu Cloud Archive deployments.

 -- James Page <james.page@ubuntu.com>  Mon, 14 Sep 2015 12:32:32 +0100

python-oslo.utils (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added a patch to allow any version of pytz.
  * Do not run test using Python 3.5 (python-netifaces can't be imported).

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 09:58:33 +0000

python-oslo.utils (2.1.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed && -> ; in debian/rules.
  * Fixed (build-)depends for this release.
  * Do not manually copy oslo/utils, as the namespace version is gone.

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jun 2015 23:45:52 +0200

python-oslo.utils (1.6.0-2) experimental; urgency=medium

  * Team upload.
  * d/control: Remove errant , from Uploaders field.
  * d/watch: Update to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Mon, 15 Jun 2015 08:43:09 +0100

python-oslo.utils (1.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align dependencies and version requirements with upstream.
    - d/control: Drop Build-Conflicts on python{3}-oslo.utils, no longer
      needed.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces for Ubuntu *oslo-utils packages.
    - d/control: Add transitional packages for *oslo-utils.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:50:43 +0100

python-oslo.utils (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2015 18:14:13 +0100

python-oslo.utils (1.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Reviewed (build-)depends.
  * Added patch of .testr.conf to not list ./tests unit tests, which are using
    the oslo. namespace (and then, failing in Python 3).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 13:06:27 +0800

python-oslo.utils (1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2014 14:52:27 +0000

python-oslo.utils (0.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed new (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 12:20:48 +0800

python-oslo.utils (0.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental before Jessie's freeze.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 15:50:43 +0800

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-debtcollector (>= 0.3.0),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-iso8601,
                     python-mock (>= 1.3),
                     python-monotonic (>= 0.3),
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tz,
                     python3-babel,
                     python3-coverage,
                     python3-debtcollector (>= 0.3.0),
                     python3-fixtures (>= 1.3.1),
                     python3-iso8601,
                     python3-mock (>= 1.3),
                     python3-monotonic (>= 0.3),
                     python3-netaddr (>= 0.7.12),
                     python3-netifaces (>= 0.10.4),
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-subunit (>= 0.0.18),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-tz,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.utils.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.utils.git
Homepage: http://launchpad.net/oslo

Package: python-oslo.utils
Architecture: all
Provides: python-oslo-utils,
Depends: python-babel,
         python-debtcollector (>= 0.3.0),
         python-iso8601,
         python-monotonic (>= 0.3),
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-oslo.i18n (>= 1.5.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-utils (<< 1.6.0-1~),
Replaces: python-oslo-utils (<< 1.6.0-1~),
Description: set of utility functions for OpenStack - Python 2.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.utils
Architecture: all
Provides: python3-oslo-utils,
Depends: python3-babel,
         python3-debtcollector (>= 0.3.0),
         python3-iso8601,
         python3-monotonic (>= 0.3),
         python3-netaddr (>= 0.7.12),
         python3-netifaces (>= 0.10.4),
         python3-oslo.i18n (>= 1.5.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-oslo-utils (<< 1.6.0-1~),
Replaces: python3-oslo-utils (<< 1.6.0-1~),
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python-oslo-utils
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.utils,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-utils
 This transitional package is safe to remove.

Package: python-oslo-utils-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.utils-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-utils-doc
 This transitional package is safe to remove.

Package: python3-oslo-utils
Section: oldlibs
Priority: extra
Architecture: all
Depends: python3-oslo.utils,
         ${misc:Depends},
Description: transitional dummy package for python3-oslo-utils
 This transitional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo-utils; \
+			--root $(CURDIR)/debian/python-oslo.utils; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-oslo.utils; \
 	done
@@ -25,13 +25,13 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e && set -x && for i in $(PYTHONS); do \
+	set -e ; set -x ; for i in 2.7 3.4 ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` && \
-		PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_utils.*' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \
@@ -43,7 +43,7 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo-utils-doc/usr/share/doc/python-oslo-utils-doc/html
+	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.utils-doc/usr/share/doc/python-oslo.utils-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

## python-oslo.utils 3.8.0

=== requirements.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 # adding a new feature to oslo.utils means adding a new dependency,
 # that is a likely indicator that the feature belongs somewhere else.
 
-pbr<2.0,>=1.6
-Babel>=1.3
-six>=1.9.0
-iso8601>=0.1.9
-oslo.i18n>=1.5.0 # Apache-2.0
-monotonic>=0.3 # Apache-2.0
-pytz>=2013.6
-netaddr!=0.7.16,>=0.7.12
-netifaces>=0.10.4
-debtcollector>=0.3.0 # Apache-2.0
+pbr>=1.6 # Apache-2.0
+six>=1.9.0 # MIT
+funcsigs>=0.4;python_version=='2.7' or python_version=='2.6' # Apache-2.0
+iso8601>=0.1.9 # MIT
+oslo.i18n>=2.1.0 # Apache-2.0
+monotonic>=0.6 # Apache-2.0
+pytz>=2013.6 # MIT
+netaddr!=0.7.16,>=0.7.12 # BSD
+netifaces>=0.10.4 # MIT
+debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.utils (3.8.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 May 2016 11:30:31 +0000

python-oslo.utils (3.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:29:15 +0000

python-oslo.utils (3.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:46:26 +0200

python-oslo.utils (3.7.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed minimum version of python{3,}-netifaces to 0.10.4.
  * Standards-Version: 3.9.7 (no change).

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/allow-any-pytz-version.patch: Rebased.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 10:22:30 +0000

python-oslo.utils (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed ordering in debian/coypright.
  * Fixed oslo.config version in build-depends-indep.
  * Fixed duplicate long description.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 08:33:00 +0000

python-oslo.utils (3.3.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align requirements with upstream.

  [ Corey Bryant ]
  * d/control: Add python3-funcsigs to (build-)depends.
  * d/rules: Run tests for all py3 versions.

  [ Thomas Goirand ]
  * Added Corey as Uploaders:.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Jan 2016 12:56:27 -0500

python-oslo.utils (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 10:39:35 +0100

python-oslo.utils (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Switched from override_dh_install to override_dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:47:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-oslo.utils
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -14,36 +14,37 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: bandit,
                      python-coverage,
-                     python-debtcollector (>= 0.3.0),
+                     python-debtcollector (>= 1.2.0),
                      python-fixtures (>= 1.3.1),
+                     python-funcsigs (>= 0.4),
                      python-hacking,
                      python-iso8601,
                      python-mock (>= 1.3),
-                     python-monotonic (>= 0.3),
+                     python-monotonic (>= 0.6),
                      python-netaddr (>= 0.7.12),
                      python-netifaces (>= 0.10.4),
-                     python-oslo.config (>= 1:2.3.0),
-                     python-oslo.i18n (>= 1.5.0),
+                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.i18n (>= 2.1.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+#                     python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-tz,
-                     python3-babel,
                      python3-coverage,
-                     python3-debtcollector (>= 0.3.0),
+                     python3-debtcollector (>= 1.2.0),
                      python3-fixtures (>= 1.3.1),
+                     python3-funcsigs (>= 0.4),
                      python3-iso8601,
                      python3-mock (>= 1.3),
-                     python3-monotonic (>= 0.3),
+                     python3-monotonic (>= 0.6),
                      python3-netaddr (>= 0.7.12),
                      python3-netifaces (>= 0.10.4),
-                     python3-oslo.config (>= 1:2.3.0),
-                     python3-oslo.i18n (>= 1.5.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.config (>= 1:3.7.0),
+                     python3-oslo.i18n (>= 2.1.0),
+#                     python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
                      python3-subunit (>= 0.0.18),
                      python3-testscenarios,
@@ -51,21 +52,21 @@
                      python3-tz,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.utils.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.utils.git
-Homepage: http://launchpad.net/oslo
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.utils.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.utils.git
+Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.utils
 Architecture: all
 Provides: python-oslo-utils,
-Depends: python-babel,
-         python-debtcollector (>= 0.3.0),
+Depends: python-debtcollector (>= 1.2.0),
+         python-funcsigs (>= 0.4),
          python-iso8601,
-         python-monotonic (>= 0.3),
+         python-monotonic (>= 0.6),
          python-netaddr (>= 0.7.12),
          python-netifaces (>= 0.10.4),
-         python-oslo.i18n (>= 1.5.0),
+         python-oslo.i18n (>= 2.1.0),
          python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          ${misc:Depends},
@@ -83,13 +84,13 @@
 Package: python3-oslo.utils
 Architecture: all
 Provides: python3-oslo-utils,
-Depends: python3-babel,
-         python3-debtcollector (>= 0.3.0),
+Depends: python3-debtcollector (>= 1.2.0),
+         python3-funcsigs (>= 0.4),
          python3-iso8601,
-         python3-monotonic (>= 0.3),
+         python3-monotonic (>= 0.6),
          python3-netaddr (>= 0.7.12),
          python3-netifaces (>= 0.10.4),
-         python3-oslo.i18n (>= 1.5.0),
+         python3-oslo.i18n (>= 2.1.0),
          python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          ${misc:Depends},
@@ -124,7 +125,7 @@
 Depends: python-oslo.utils,
          ${misc:Depends},
 Description: transitional dummy package for python-oslo-utils
- This transitional package is safe to remove.
+ This transitional package to python-oslo.utils is safe to remove.
 
 Package: python-oslo-utils-doc
 Section: oldlibs
@@ -133,7 +134,7 @@
 Depends: python-oslo.utils-doc,
          ${misc:Depends},
 Description: transitional dummy package for python-oslo-utils-doc
- This transitional package is safe to remove.
+ This transitional package to python-oslo.utils-doc is safe to remove.
 
 Package: python3-oslo-utils
 Section: oldlibs
@@ -142,4 +143,4 @@
 Depends: python3-oslo.utils,
          ${misc:Depends},
 Description: transitional dummy package for python3-oslo-utils
- This transitional package is safe to remove.
+ This transitional package to python3-oslo.utils is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
+override_dh_auto_install:
 	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-oslo.utils; \
@@ -22,21 +22,21 @@
 	done
 	rm -f $(CURDIR)/debian/python*-oslo.utils/usr/lib/python*/dist-packages/*.pth
 
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 3.4 ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_utils.*' | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
-endif
+#override_dh_auto_test:
+#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+#	@echo "===> Running tests"
+#	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+#		rm -rf .testrepository ; \
+#		testr-python$$PYMAJOR init ; \
+#		TEMP_REZ=`mktemp -t` ; \
+#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_utils.*' | tee $$TEMP_REZ | subunit2pyunit ; \
+#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+#		rm -f $$TEMP_REZ ; \
+#		testr-python$$PYMAJOR slowest ; \
+#	done
+#endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils

## python-oslo.utils 3.16.0

=== requirements.txt ===
--- 
+++ 
@@ -10,10 +10,11 @@
 pbr>=1.6 # Apache-2.0
 six>=1.9.0 # MIT
 funcsigs>=0.4;python_version=='2.7' or python_version=='2.6' # Apache-2.0
-iso8601>=0.1.9 # MIT
+iso8601>=0.1.11 # MIT
 oslo.i18n>=2.1.0 # Apache-2.0
 monotonic>=0.6 # Apache-2.0
 pytz>=2013.6 # MIT
 netaddr!=0.7.16,>=0.7.12 # BSD
 netifaces>=0.10.4 # MIT
 debtcollector>=1.2.0 # Apache-2.0
+pyparsing>=2.0.1 # MIT

=== debian/changelog ===
python-oslo.utils (3.16.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:13:20 +0200

python-oslo.utils (3.16.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * d/control: Add python-pyparsing to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Aug 2016 13:15:27 +0000

python-oslo.utils (3.15.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * New upstream release.
  * Drop transition packages useless since Xenial is out.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 14:14:47 +0000

python-oslo.utils (3.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch to debian/newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/allow-any-pytz-version.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Jun 2016 11:25:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -17,34 +18,36 @@
 Build-Depends-Indep: bandit,
                      python-coverage,
                      python-debtcollector (>= 1.2.0),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-funcsigs (>= 0.4),
                      python-hacking,
                      python-iso8601,
-                     python-mock (>= 1.3),
+                     python-mock (>= 2.0),
                      python-monotonic (>= 0.6),
                      python-netaddr (>= 0.7.12),
                      python-netifaces (>= 0.10.4),
-                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.config (>= 1:3.12.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslosphinx (>= 2.5.0),
-#                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-pyparsing (>= 2.0.1),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-tz,
                      python3-coverage,
                      python3-debtcollector (>= 1.2.0),
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-funcsigs (>= 0.4),
                      python3-iso8601,
-                     python3-mock (>= 1.3),
+                     python3-mock (>= 2.0),
                      python3-monotonic (>= 0.6),
                      python3-netaddr (>= 0.7.12),
                      python3-netifaces (>= 0.10.4),
-                     python3-oslo.config (>= 1:3.7.0),
+                     python3-oslo.config (>= 1:3.12.0),
                      python3-oslo.i18n (>= 2.1.0),
-#                     python3-oslotest (>= 1.10.0),
+                     python3-oslotest (>= 1:1.10.0),
+                     python3-pyparsing (>= 2.0.1),
                      python3-six (>= 1.9.0),
                      python3-subunit (>= 0.0.18),
                      python3-testscenarios,
@@ -52,9 +55,9 @@
                      python3-tz,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.utils.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.utils.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.utils?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.utils -b debian/newton
 Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.utils
@@ -68,6 +71,7 @@
          python-netifaces (>= 0.10.4),
          python-oslo.i18n (>= 2.1.0),
          python-pbr (>= 1.8),
+         python-pyparsing (>= 2.0.1),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -92,6 +96,7 @@
          python3-netifaces (>= 0.10.4),
          python3-oslo.i18n (>= 2.1.0),
          python3-pbr (>= 1.8),
+         python3-pyparsing (>= 2.0.1),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},
@@ -117,30 +122,3 @@
  system-level, and time utilities and helper functions.
  .
   This package contains the documentation.
-
-Package: python-oslo-utils
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: python-oslo.utils,
-         ${misc:Depends},
-Description: transitional dummy package for python-oslo-utils
- This transitional package to python-oslo.utils is safe to remove.
-
-Package: python-oslo-utils-doc
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: python-oslo.utils-doc,
-         ${misc:Depends},
-Description: transitional dummy package for python-oslo-utils-doc
- This transitional package to python-oslo.utils-doc is safe to remove.
-
-Package: python3-oslo-utils
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: python3-oslo.utils,
-         ${misc:Depends},
-Description: transitional dummy package for python3-oslo-utils
- This transitional package to python3-oslo.utils is safe to remove.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/oslo.utils/oslo.utils-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
